petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDACreate

Creates a DMDA object.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreate(MPI_Comm comm, DM *da)

Collective on MPI_Comm Many br

### Input Parameter

comm -The communicator for the DMDA object Many br

### Output Parameter

da -The DMDA object Many br

Many br

Developers Note: Since there exists DMDACreate1/2/3d() should this routine even exist? Many br

### Keywords

DMDA, create

### See Also

DMDASetSizes(), DMDADuplicate(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:advanced
Location:src/dm/impls/da/dacreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages